Bug 30417 - Switch to Bootstrap tabs on the basic library transfer limit page
Summary: Switch to Bootstrap tabs on the basic library transfer limit page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-31 13:15 UTC by Owen Leonard
Modified: 2022-04-15 11:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page (2.82 KB, patch)
2022-03-31 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page (2.97 KB, patch)
2022-04-01 08:11 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page (3.02 KB, patch)
2022-04-01 12:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-31 13:15:29 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the basic 'Library checkin and transfer policy' page with Bootstrap tabs.
Comment 1 Owen Leonard 2022-03-31 13:19:10 UTC
Created attachment 132758 [details] [review]
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page

This patch updates the basic library transfer limits  page to use
Bootstrap tabs instead of jQueryUI.

To test, apply the patch and go to Administraion -> Library transfer
limits.

Test that the tabs look correct and work correctly. The functionality of
the page should be unchanged.
Comment 2 Séverine Queune 2022-04-01 08:11:51 UTC
Created attachment 132826 [details] [review]
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page

This patch updates the basic library transfer limits  page to use
Bootstrap tabs instead of jQueryUI.

To test, apply the patch and go to Administraion -> Library transfer
limits.

Test that the tabs look correct and work correctly. The functionality of
the page should be unchanged.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2022-04-01 08:13:22 UTC
Works perfectly, well done Owen !
Comment 4 Kyle M Hall 2022-04-01 12:39:30 UTC
Created attachment 132858 [details] [review]
Bug 30417: Switch to Bootstrap tabs on the basic library transfer limit page

This patch updates the basic library transfer limits  page to use
Bootstrap tabs instead of jQueryUI.

To test, apply the patch and go to Administraion -> Library transfer
limits.

Test that the tabs look correct and work correctly. The functionality of
the page should be unchanged.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Fridolin Somers 2022-04-12 09:42:14 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄